##### 7.7.8.0. lieBracket

Procedure from library `freegb.lib` (see freegb_lib).

Usage:
  lieBracket(a,b[,N]); a,b letterplace polynomials, N an optional integer

Return:
  poly

Assume:
  basering has a letterplace ring structure

Purpose:
  compute the Lie bracket [a,b] = ab - ba between letterplace polynomials

Note:
  if N>1 is specified, then the left normed bracket [a,[...[a,b]]]] is
  computed.

Example:

    LIB "freegb.lib";
    ring r = 0,(x(1),y(1),x(2),y(2),x(3),y(3),x(4),y(4)),dp;
    def R = setLetterplaceAttributes(r,4,2); // supply R with letterplace structure
    setring R;
    poly a = x(1)*y(2); poly b = y(1);
    lieBracket(a,b);
    ==> -y(1)*x(2)*y(3)+x(1)*y(2)*y(3)
    lieBracket(x(1),y(1),2);
    ==> -y(1)*x(2)*x(3)*x(4)+3*x(1)*y(2)*x(3)*x(4)-3*x(1)*x(2)*y(3)*x(4)+x(1)*x(2\
       )*x(3)*y(4)

User manual for Singular version 4-0-3, 2016, generated by texi2html.